Show / Hide Table of Contents

# Struct RoleEditInfo

Represents information for a role edit.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public struct RoleEditInfo

### Properties

| Improve this Doc View Source

#### Color

Gets the color of this role.

##### Declaration

    public Color? Color { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Color> | A color object representing the color assigned to this role; `null` if this role does not have a color.

| Improve this Doc View Source

#### Hoist

Gets a value that indicates whether this role is hoisted (i.e. its members will appear in a separate section on the user list).

##### Declaration

    public bool? Hoist { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> | `true` if this role's members will appear in a separate section in the user list; otherwise `false`; `null` if this is not mentioned in this entry.

| Improve this Doc View Source

#### Mentionable

Gets a value that indicates whether this role is mentionable.

##### Declaration

    public bool? Mentionable { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> | `true` if other members can mention this role in a text channel; otherwise `false`; `null` if this is not mentioned in this entry.

| Improve this Doc View Source

#### Name

Gets the name of this role.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the name of this role.

| Improve this Doc View Source

#### Permissions

Gets the permissions assigned to this role.

##### Declaration

    public GuildPermissions? Permissions { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<GuildPermissions> | A guild permissions object representing the permissions that have been assigned to this role; `null` if no permissions have been assigned.